curl --request POST \
--url https://api.syntage.com/shareholders/{shareholderId}/relations/{relationId}/promote \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "JUAN MANUEL PEREZ GONZALEZ",
"rfc": "PEIC211118IS0",
"datasources": [
{
"name": "sat"
},
{
"name": "rpc"
}
]
}
'import requests
url = "https://api.syntage.com/shareholders/{shareholderId}/relations/{relationId}/promote"
payload = {
"name": "JUAN MANUEL PEREZ GONZALEZ",
"rfc": "PEIC211118IS0",
"datasources": [{ "name": "sat" }, { "name": "rpc" }]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'JUAN MANUEL PEREZ GONZALEZ',
rfc: 'PEIC211118IS0',
datasources: [{name: 'sat'}, {name: 'rpc'}]
})
};
fetch('https://api.syntage.com/shareholders/{shareholderId}/relations/{relationId}/promote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"@type": "ShareholderPromotedResponse",
"id": "91ab5678-1234-5678-9abc-def012345678",
"name": "JUAN MANUEL PEREZ GONZALEZ",
"rfc": "PEIC211118IS0",
"onboardingUrl": "https://api.syntage.com/onboarding/91ab5678-1234-5678-9abc-def012345678"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Promote a shareholder relation
Promotes a shareholder relation by creating an entity for the shareholder. Use this when the shareholder should be managed as its own person or company in your integration.
Authorizations
Your API key is available in the Production and Sandbox dashboards.
Path Parameters
The shareholder ID
The relation ID
Body
Name to use for the new promoted entity
"JUAN MANUEL PEREZ GONZALEZ"
RFC to use for the new promoted entity
12 - 13"PEIC211118IS0"
Datasources to connect when creating the promoted entity
Show child attributes
Show child attributes
[{ "name": "sat" }, { "name": "rpc" }]
Response
Shareholder Relation promoted successfully
ID of the created entity
"91ab5678-1234-5678-9abc-def012345678"
Name of the created entity
"JUAN MANUEL PEREZ GONZALEZ"
RFC assigned to the created entity
12 - 13"PEIC211118IS0"
Onboarding URL for the created entity, when onboarding is required
"https://api.syntage.com/onboarding/91ab5678-1234-5678-9abc-def012345678"
Was this page helpful?